<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Apr 26 21:45:30 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (server 1.2 API)</title>
<meta name="date" content="2019-04-26">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (server 1.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:Q">Q</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#add-java.lang.String-">add(String)</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Команда в консоль: <code>add</code> {JSON element} <br>
 Добавляет элемент в коллецию.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#ADD_NEW_HUMAN">ADD_NEW_HUMAN</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">SQL запрос для добавления нового <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> в БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#ADD_NEW_USER">ADD_NEW_USER</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">SQL запрос для добавления нового пользователя.</div>
</dd>
<dt><a href="ru/lanolin/lib/exception/AddHumanException.html" title="class in ru.lanolin.lib.exception"><span class="typeNameLink">AddHumanException</span></a> - Exception in <a href="ru/lanolin/lib/exception/package-summary.html">ru.lanolin.lib.exception</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/AddHumanException.html#AddHumanException--">AddHumanException()</a></span> - Constructor for exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/AddHumanException.html" title="class in ru.lanolin.lib.exception">AddHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/AddHumanException.html#AddHumanException-java.lang.String-">AddHumanException(String)</a></span> - Constructor for exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/AddHumanException.html" title="class in ru.lanolin.lib.exception">AddHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Celebrate.html#addParticipant-ru.lanolin.lib.human.Human-">addParticipant(Human)</a></span> - Method in class ru.lanolin.additions.<a href="ru/lanolin/additions/Celebrate.html" title="class in ru.lanolin.additions">Celebrate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/DoFete.html#addParticipant-ru.lanolin.lib.human.Human-">addParticipant(Human)</a></span> - Method in interface ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></dt>
<dd>
<div class="block">Добавить участника на мероприятие</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/DoFete.html#addParticipants-java.util.List-">addParticipants(List&lt;Human&gt;)</a></span> - Method in interface ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></dt>
<dd>
<div class="block">Добавить на мероприятие множество <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#ALPHA_NUMERIC_STRING">ALPHA_NUMERIC_STRING</a></span> - Static variable in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Набор символов, которые используются в генерации рандомной строки.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#AUTHENTICATION">AUTHENTICATION</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">SQL запрос для получения записи об пользователе</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#authorization-java.io.BufferedReader-">authorization(BufferedReader)</a></span> - Static method in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Процедура авторизации клиента на сервере.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/Server.html#available">available</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server">Server</a></dt>
<dd>
<div class="block">Проверяет, что подключенный пользователь в режиме <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/channels/SelectionKey.html?is-external=true#OP_WRITE" title="class or interface in java.nio.channels"><code>SelectionKey.OP_WRITE</code></a> При наличии активного
 подключения, заносится в <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><code>ArrayList</code></a> и создается поток <a href="ru/lanolin/server/thread/OneClientAnswThread.html" title="class in ru.lanolin.server.thread"><code>OneClientAnswThread</code></a> отправки данных на
 клиент.</div>
</dd>
</dl>
<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#birthday">birthday</a></span> - Variable in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>
<div class="block">Дата инициализации коллекции</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Guest.html#bowOut-ru.lanolin.lib.human.Human-">bowOut(Human)</a></span> - Method in class ru.lanolin.additions.<a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/DoHuman.html#bowOut-ru.lanolin.lib.human.Human-">bowOut(Human)</a></span> - Method in interface ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/DoHuman.html" title="interface in ru.lanolin.lib.human">DoHuman</a></dt>
<dd>
<div class="block">Раскланиваться с другим участником</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="ru/lanolin/additions/Celebrate.html" title="class in ru.lanolin.additions"><span class="typeNameLink">Celebrate</span></a> - Class in <a href="ru/lanolin/additions/package-summary.html">ru.lanolin.additions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Celebrate.html#Celebrate-java.util.List-int-">Celebrate(List&lt;Human&gt;, int)</a></span> - Constructor for class ru.lanolin.additions.<a href="ru/lanolin/additions/Celebrate.html" title="class in ru.lanolin.additions">Celebrate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#celebrate">celebrate</a></span> - Static variable in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Объект с основной информацией об мероприятии</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#CHECK_USER">CHECK_USER</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">SQL запрос для проврки на ссуществования пользователя в БД при регистарции</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#checkAuterization-java.lang.String-java.lang.String-">checkAuterization(String, String)</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Проверяет, существует пользватель с таким email и login в БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/thread/OneClientAnswThread.html#client">client</a></span> - Variable in class ru.lanolin.server.thread.<a href="ru/lanolin/server/thread/OneClientAnswThread.html" title="class in ru.lanolin.server.thread">OneClientAnswThread</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/nio/channels/SocketChannel.html?is-external=true" title="class or interface in java.nio.channels"><code>SocketChannel</code></a> подключенного клиента</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#compare-ru.lanolin.lib.human.Human-ru.lanolin.lib.human.Human-">compare(Human, Human)</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>
<div class="block">Сравнивает двух <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#compareTo-ru.lanolin.lib.human.Human-">compareTo(Human)</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>
<div class="block">Сравнивает двух <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> по оценке за наряд</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#configuration">configuration</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Конфигурации всего приложения</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#configuration">configuration</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Настройки приложения.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#connect--">connect()</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Метод, для содания подключения к БД.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#connection">connection</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> для соединения с БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#construct-java.util.Map-">construct(Map&lt;String, Object&gt;)</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Специальный мемтод, который создает объект типа <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> по <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a>, в котором хранятся
 поля со значениями.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#convertObject2Buffer-java.lang.Object-">convertObject2Buffer(Object)</a></span> - Static method in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Конвертирует сериализуемый объект в <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/ByteBuffer.html?is-external=true" title="class or interface in java.nio"><code>ByteBuffer</code></a> для последующей отправки через <a href="https://docs.oracle.com/javase/8/docs/api/java/net/Socket.html?is-external=true" title="class or interface in java.net"><code>Socket</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#convertTemplate-java.lang.String-java.lang.Object...-">convertTemplate(String, Object...)</a></span> - Static method in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Предназначен для замены в строке подстроки ключей на их значения.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#convertTemplate-java.lang.String-java.util.Map-">convertTemplate(String, Map&lt;String, Object&gt;)</a></span> - Static method in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Предназначен для замены в строке подстроки ключей на их значения.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#creator">creator</a></span> - Variable in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Создатель определенного количества <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#creator">creator</a></span> - Variable in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#database">database</a></span> - Static variable in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Класс, для работы с базой данных.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#DELETE_HUMAN">DELETE_HUMAN</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">SQL запрос для удаления <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#disconnect--">disconnect()</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Метод, для прекращения работы с БД.</div>
</dd>
<dt><a href="ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete"><span class="typeNameLink">DoFete</span></a> - Interface in <a href="ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a></dt>
<dd>
<div class="block">Интерфейс, описывающий действия с пользователем.</div>
</dd>
<dt><a href="ru/lanolin/lib/human/DoHuman.html" title="interface in ru.lanolin.lib.human"><span class="typeNameLink">DoHuman</span></a> - Interface in <a href="ru/lanolin/lib/human/package-summary.html">ru.lanolin.lib.human</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#EMAIL_FROM">EMAIL_FROM</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Адрес, откуда бы отправено сообщение</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#equals-java.lang.Object-">equals(Object)</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="ru/lanolin/lib/enums/Feel.html" title="enum in ru.lanolin.lib.enums"><span class="typeNameLink">Feel</span></a> - Enum in <a href="ru/lanolin/lib/enums/package-summary.html">ru.lanolin.lib.enums</a></dt>
<dd>
<div class="block">Чувство <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> на мероприятии</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/enums/Feel.html#Feel--">Feel()</a></span> - Constructor for enum ru.lanolin.lib.enums.<a href="ru/lanolin/lib/enums/Feel.html" title="enum in ru.lanolin.lib.enums">Feel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#feel">feel</a></span> - Variable in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>
<div class="block">Настроение человека</div>
</dd>
<dt><a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete"><span class="typeNameLink">Fete</span></a> - Class in <a href="ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a></dt>
<dd>
<div class="block">Класс, описывающий Мероприятие</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#Fete-java.util.List-int-">Fete(List&lt;Human&gt;, int)</a></span> - Constructor for class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#GET_ALL_HUMAN">GET_ALL_HUMAN</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">SQL запрос для получения всех записей для создания <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#getAllHumans--">getAllHumans()</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Получает всех восстановленных пользователей из БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#getBirthday--">getBirthday()</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#getCreator--">getCreator()</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Получить текущего создателя, который залогинен</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#getCreator--">getCreator()</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#getFeel--">getFeel()</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#getGuests--">getGuests()</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Метод, возвращающий <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> гостей, присутствующих на мероприятии.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/AddHumanException.html#getMessage--">getMessage()</a></span> - Method in exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/AddHumanException.html" title="class in ru.lanolin.lib.exception">AddHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/LeaveHumanException.html#getMessage--">getMessage()</a></span> - Method in exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/LeaveHumanException.html" title="class in ru.lanolin.lib.exception">LeaveHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#getName--">getName()</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.MailAuthenticationPassword.html#getPasswordAuthentication--">getPasswordAuthentication()</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.MailAuthenticationPassword.html" title="class in ru.lanolin.server">MailSend.MailAuthenticationPassword</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/enums/Phrases.html#getPhrases--">getPhrases()</a></span> - Method in enum ru.lanolin.lib.enums.<a href="ru/lanolin/lib/enums/Phrases.html" title="enum in ru.lanolin.lib.enums">Phrases</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#getQuality--">getQuality()</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#getSHA384-java.lang.String-java.lang.String-">getSHA384(String, String)</a></span> - Static method in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Хеширует введенные парамметры использую перец и соль алгоритмом <code>SHA-384</code></div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Guest.html#great-ru.lanolin.lib.human.Human-">great(Human)</a></span> - Method in class ru.lanolin.additions.<a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/DoHuman.html#great-ru.lanolin.lib.human.Human-">great(Human)</a></span> - Method in interface ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/DoHuman.html" title="interface in ru.lanolin.lib.human">DoHuman</a></dt>
<dd>
<div class="block">Поприветсвовать другого участника</div>
</dd>
<dt><a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions"><span class="typeNameLink">Guest</span></a> - Class in <a href="ru/lanolin/additions/package-summary.html">ru.lanolin.additions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Guest.html#Guest-java.lang.String-ru.lanolin.lib.enums.Feel-int-java.lang.String-int-">Guest(String, Feel, int, String, int)</a></span> - Constructor for class ru.lanolin.additions.<a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Guest.html#Guest-java.lang.String-ru.lanolin.lib.enums.Feel-int-">Guest(String, Feel, int)</a></span> - Constructor for class ru.lanolin.additions.<a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Guest.html#Guest-int-">Guest(int)</a></span> - Constructor for class ru.lanolin.additions.<a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#guests">guests</a></span> - Variable in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> , в которой хранятся <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, доступные текущему пользователю</div>
</dd>
</dl>
<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#hashCode--">hashCode()</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#help--">help()</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Команда в консоль: <code>help</code> <br></div>
</dd>
<dt><a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><span class="typeNameLink">Human</span></a> - Class in <a href="ru/lanolin/lib/human/package-summary.html">ru.lanolin.lib.human</a></dt>
<dd>
<div class="block">Описнаие участника мероприятия</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#Human-java.lang.String-ru.lanolin.lib.enums.Feel-int-java.time.LocalDateTime-int-">Human(String, Feel, int, LocalDateTime, int)</a></span> - Constructor for class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#Human-java.lang.String-ru.lanolin.lib.enums.Feel-int-">Human(String, Feel, int)</a></span> - Constructor for class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#Human-int-">Human(int)</a></span> - Constructor for class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#info--">info()</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Команда в консоль: <code>info</code> <br>
 Выводит в консоль информацию о коллекции, в которой хранятся гости на мероприятии.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#init--">init()</a></span> - Static method in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Инициализация подкючения</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#insert-java.lang.String-">insert(String)</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Команда в консоль: <code>insert</code> {<code>int</code> index} {JSON element} <br>
 По JSON создается элемент типа <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, и добавляется в позицияю, переданную в <code>index</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#interactive--">interactive()</a></span> - Static method in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Метод, для работы в интерактивном режиме в консоли.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/Server.html#interrupt--">interrupt()</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server">Server</a></dt>
<dd>
<div class="block">Метод, закрывающий все соединения отсанавливает поток.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#invertSort">invertSort</a></span> - Variable in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Показывает, как отсортирована <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a>. false - в естественном порядке, true - в обратном порядке</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#isAutentification-java.lang.String-java.lang.String-">isAutentification(String, String)</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Проверяет введенные параметры на совпадение с БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#isConnect--">isConnect()</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Проверка, есть ли подключение к БД.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/Server.html#isConnect--">isConnect()</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server">Server</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#isDebug">isDebug</a></span> - Static variable in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Включается ли режим разработчика.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#isValidEmail-java.lang.String-">isValidEmail(String)</a></span> - Static method in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Проверяет валидность e-mail почты</div>
</dd>
</dl>
<a name="I:J">
<!--   -->
</a>
<h2 class="title">J</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#JAVASCRIPT">JAVASCRIPT</a></span> - Static variable in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Скриптовый движок, используется для преобразований <code>JSON</code> строк в <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a></div>
</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><a href="ru/lanolin/lib/exception/LeaveHumanException.html" title="class in ru.lanolin.lib.exception"><span class="typeNameLink">LeaveHumanException</span></a> - Exception in <a href="ru/lanolin/lib/exception/package-summary.html">ru.lanolin.lib.exception</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/LeaveHumanException.html#LeaveHumanException--">LeaveHumanException()</a></span> - Constructor for exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/LeaveHumanException.html" title="class in ru.lanolin.lib.exception">LeaveHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/LeaveHumanException.html#LeaveHumanException-java.lang.String-">LeaveHumanException(String)</a></span> - Constructor for exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/LeaveHumanException.html" title="class in ru.lanolin.lib.exception">LeaveHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Celebrate.html#leaveParticipant-ru.lanolin.lib.human.Human-">leaveParticipant(Human)</a></span> - Method in class ru.lanolin.additions.<a href="ru/lanolin/additions/Celebrate.html" title="class in ru.lanolin.additions">Celebrate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/DoFete.html#leaveParticipant-ru.lanolin.lib.human.Human-">leaveParticipant(Human)</a></span> - Method in interface ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></dt>
<dd>
<div class="block">Уйти с мероприятия</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/DoFete.html#leaveParticipants-java.util.Vector-">leaveParticipants(Vector&lt;Human&gt;)</a></span> - Method in interface ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></dt>
<dd>
<div class="block">Убрать множество гостей с мероприятие</div>
</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#MAIL_HTML">MAIL_HTML</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Шаблон e-mail сообщения</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#MAIL_RAW">MAIL_RAW</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Сырой вариант сообщения</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.MailAuthenticationPassword.html#MailAuthenticationPassword--">MailAuthenticationPassword()</a></span> - Constructor for class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.MailAuthenticationPassword.html" title="class in ru.lanolin.server">MailSend.MailAuthenticationPassword</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server"><span class="typeNameLink">MailSend</span></a> - Class in <a href="ru/lanolin/server/package-summary.html">ru.lanolin.server</a></dt>
<dd>
<div class="block">Класс, использутеся для отпраки сообщений на e-mail об успешной регистрации.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#MailSend--">MailSend()</a></span> - Constructor for class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/server/MailSend.MailAuthenticationPassword.html" title="class in ru.lanolin.server"><span class="typeNameLink">MailSend.MailAuthenticationPassword</span></a> - Class in <a href="ru/lanolin/server/package-summary.html">ru.lanolin.server</a></dt>
<dd>
<div class="block">Класс, для аутентификации на smtp сервере с помощью пароля</div>
</dd>
<dt><a href="ru/lanolin/Main.html" title="class in ru.lanolin"><span class="typeNameLink">Main</span></a> - Class in <a href="ru/lanolin/package-summary.html">ru.lanolin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#Main--">Main()</a></span> - Constructor for class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Главная точка входа приложения</div>
</dd>
<dt><a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server"><span class="typeNameLink">MasterDB</span></a> - Class in <a href="ru/lanolin/server/package-summary.html">ru.lanolin.server</a></dt>
<dd>
<div class="block">Универсальный класс, для работы с базами данными</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#MasterDB--">MasterDB()</a></span> - Constructor for class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#MAXSIZE">MAXSIZE</a></span> - Static variable in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Максимальныей размер <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><code>ArrayList</code></a>, где хранятся все <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/AddHumanException.html#message">message</a></span> - Variable in exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/AddHumanException.html" title="class in ru.lanolin.lib.exception">AddHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/LeaveHumanException.html#message">message</a></span> - Variable in exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/LeaveHumanException.html" title="class in ru.lanolin.lib.exception">LeaveHumanException</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#name">name</a></span> - Variable in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>
<div class="block">Имя человека</div>
</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="ru/lanolin/server/thread/OneClientAnswThread.html" title="class in ru.lanolin.server.thread"><span class="typeNameLink">OneClientAnswThread</span></a> - Class in <a href="ru/lanolin/server/thread/package-summary.html">ru.lanolin.server.thread</a></dt>
<dd>
<div class="block">Класс, для отправки <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><code>ArrayList</code></a> к клиенту</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/thread/OneClientAnswThread.html#OneClientAnswThread-java.nio.channels.Selector-java.nio.channels.SocketChannel-">OneClientAnswThread(Selector, SocketChannel)</a></span> - Constructor for class ru.lanolin.server.thread.<a href="ru/lanolin/server/thread/OneClientAnswThread.html" title="class in ru.lanolin.server.thread">OneClientAnswThread</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#parseJSON-java.lang.String-">parseJSON(String)</a></span> - Static method in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Метод, который преобразует <code>JSON</code> строку в <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#PATTERN_EMAIL">PATTERN_EMAIL</a></span> - Static variable in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Паттерн, для проверки e-mail адреса на корректность</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#PEPPER">PEPPER</a></span> - Static variable in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Перец.</div>
</dd>
<dt><a href="ru/lanolin/lib/enums/Phrases.html" title="enum in ru.lanolin.lib.enums"><span class="typeNameLink">Phrases</span></a> - Enum in <a href="ru/lanolin/lib/enums/package-summary.html">ru.lanolin.lib.enums</a></dt>
<dd>
<div class="block">Фразы, которые говорят <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> при общении друг с другом</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/enums/Phrases.html#Phrases-java.lang.String-">Phrases(String)</a></span> - Constructor for enum ru.lanolin.lib.enums.<a href="ru/lanolin/lib/enums/Phrases.html" title="enum in ru.lanolin.lib.enums">Phrases</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/enums/Phrases.html#phrases">phrases</a></span> - Variable in enum ru.lanolin.lib.enums.<a href="ru/lanolin/lib/enums/Phrases.html" title="enum in ru.lanolin.lib.enums">Phrases</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#properties">properties</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Конфигурации отправки сообщения</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#protectedGuest">protectedGuest</a></span> - Variable in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a>, хранятся все <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, недоступные текущему пользователю</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#PSAddNewHuman">PSAddNewHuman</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса добавления <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> в БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#PSAddNewUser">PSAddNewUser</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса добавления новго пользателя в БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#PSAuthentication">PSAuthentication</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении информации об пользователи.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#PSCheckUser">PSCheckUser</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении существовании пользователя в БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#PSDeleteHuman">PSDeleteHuman</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса удаления <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#PSGetAllHuman">PSGetAllHuman</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении всех сохраненных <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</dd>
</dl>
<a name="I:Q">
<!--   -->
</a>
<h2 class="title">Q</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#quality">quality</a></span> - Variable in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>
<div class="block">Качество наряда на человеке</div>
</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#randomAlphaNumeric-int-">randomAlphaNumeric(int)</a></span> - Static method in class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>
<div class="block">Генерирует рандомную строку определенной длинны</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Guest.html#rateOutfit-ru.lanolin.lib.human.Human-">rateOutfit(Human)</a></span> - Method in class ru.lanolin.additions.<a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#rateOutfit-ru.lanolin.lib.human.Human-">rateOutfit(Human)</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>
<div class="block">Оценит наряд другого <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#registration-java.io.BufferedReader-">registration(BufferedReader)</a></span> - Static method in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Процедура регистрации нового клиента.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#registrationNewAccount-java.lang.String-java.lang.String-java.lang.String-">registrationNewAccount(String, String, String)</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Заносит данные о новом пользователе в БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#remove-java.lang.String-">remove(String)</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Команда в консоль: <code>remove</code> {JSON element} <br>
 По переданным параметрам в JSON виде, удаляется элеммент из коллекции, если это возможно.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#remove_greater-java.lang.String-">remove_greater(String)</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Команда в консоль: <code>remove_greater</code> {JSON element} <br>
 Удаляте из коллекции элементы, большие данного</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#reorder--">reorder()</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Команда в консоль: <code>reorder</code> <br>
 Действие: производит сортировку коллекции в обратном порядке.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/DoHuman.html#repeat-ru.lanolin.lib.human.Human-ru.lanolin.lib.enums.Phrases-">repeat(Human, Phrases)</a></span> - Method in interface ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/DoHuman.html" title="interface in ru.lanolin.lib.human">DoHuman</a></dt>
<dd>
<div class="block">Повторить особенную фразу другому участнику</div>
</dd>
<dt><a href="ru/lanolin/package-summary.html">ru.lanolin</a> - package ru.lanolin</dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/additions/package-summary.html">ru.lanolin.additions</a> - package ru.lanolin.additions</dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/lib/enums/package-summary.html">ru.lanolin.lib.enums</a> - package ru.lanolin.lib.enums</dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/lib/exception/package-summary.html">ru.lanolin.lib.exception</a> - package ru.lanolin.lib.exception</dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a> - package ru.lanolin.lib.fete</dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/lib/human/package-summary.html">ru.lanolin.lib.human</a> - package ru.lanolin.lib.human</dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/server/package-summary.html">ru.lanolin.server</a> - package ru.lanolin.server</dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/server/thread/package-summary.html">ru.lanolin.server.thread</a> - package ru.lanolin.server.thread</dt>
<dd>&nbsp;</dd>
<dt><a href="ru/lanolin/util/package-summary.html">ru.lanolin.util</a> - package ru.lanolin.util</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/Server.html#run--">run()</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server">Server</a></dt>
<dd>
<div class="block">Метод, ответсвенный за прослушивания <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/channels/ServerSocketChannel.html?is-external=true" title="class or interface in java.nio.channels"><code>ServerSocketChannel</code></a> на клиентов.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/thread/OneClientAnswThread.html#run--">run()</a></span> - Method in class ru.lanolin.server.thread.<a href="ru/lanolin/server/thread/OneClientAnswThread.html" title="class in ru.lanolin.server.thread">OneClientAnswThread</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#saveAndClose--">saveAndClose()</a></span> - Static method in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Метод, срабатывающий при закрытии приложения.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#saveHuman-ru.lanolin.lib.fete.Fete-">saveHuman(Fete)</a></span> - Method in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Вносит изменения об <a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из класса <a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete"><code>Fete</code></a> в БД</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/Server.html#selector">selector</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server">Server</a></dt>
<dd>
<div class="block">Регистрирует <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/channels/SelectionKey.html?is-external=true" title="class or interface in java.nio.channels"><code>SelectionKey</code></a> в определенный доступ</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/thread/OneClientAnswThread.html#selector">selector</a></span> - Variable in class ru.lanolin.server.thread.<a href="ru/lanolin/server/thread/OneClientAnswThread.html" title="class in ru.lanolin.server.thread">OneClientAnswThread</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/nio/channels/Selector.html?is-external=true" title="class or interface in java.nio.channels"><code>Selector</code></a> сервера</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#sendMessage-java.lang.String-java.lang.String-java.lang.String-">sendMessage(String, String, String)</a></span> - Static method in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Отправка сообщения</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/additions/Guest.html#serialVersionUID">serialVersionUID</a></span> - Static variable in class ru.lanolin.additions.<a href="ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#serialVersionUID">serialVersionUID</a></span> - Static variable in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/Main.html#server">server</a></span> - Static variable in class ru.lanolin.<a href="ru/lanolin/Main.html" title="class in ru.lanolin">Main</a></dt>
<dd>
<div class="block">Класс, для прослушивания и отправки сообщения на клиент</div>
</dd>
<dt><a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server"><span class="typeNameLink">Server</span></a> - Class in <a href="ru/lanolin/server/package-summary.html">ru.lanolin.server</a></dt>
<dd>
<div class="block">Используется для создание потока, который слушает <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/channels/ServerSocketChannel.html?is-external=true" title="class or interface in java.nio.channels"><code>ServerSocketChannel</code></a> на опреленном порту, который получат из
 файла конфиурации</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/Server.html#Server--">Server()</a></span> - Constructor for class ru.lanolin.server.<a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server">Server</a></dt>
<dd>
<div class="block">Конструктор.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#session">session</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Сессия, для сохранения подключения к smtp серверу</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/AddHumanException.html#setMessage-java.lang.String-">setMessage(String)</a></span> - Method in exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/AddHumanException.html" title="class in ru.lanolin.lib.exception">AddHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/exception/LeaveHumanException.html#setMessage-java.lang.String-">setMessage(String)</a></span> - Method in exception ru.lanolin.lib.exception.<a href="ru/lanolin/lib/exception/LeaveHumanException.html" title="class in ru.lanolin.lib.exception">LeaveHumanException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/fete/Fete.html#show--">show()</a></span> - Method in class ru.lanolin.lib.fete.<a href="ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a></dt>
<dd>
<div class="block">Команда в консоль: <code>show</code><br>
 Такая команда выводит в консоль все элементы в "красивом виде".</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/Server.html#socketAddress">socketAddress</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server">Server</a></dt>
<dd>
<div class="block">Указывается, какой порт прослушивать</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/Server.html#socketChannel">socketChannel</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/Server.html" title="class in ru.lanolin.server">Server</a></dt>
<dd>
<div class="block">Прослушавает сокет на момент подключения</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MasterDB.html#startDB">startDB</a></span> - Variable in class ru.lanolin.server.<a href="ru/lanolin/server/MasterDB.html" title="class in ru.lanolin.server">MasterDB</a></dt>
<dd>
<div class="block">Существует ли подключение к БД</div>
</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/MailSend.html#TITLE">TITLE</a></span> - Static variable in class ru.lanolin.server.<a href="ru/lanolin/server/MailSend.html" title="class in ru.lanolin.server">MailSend</a></dt>
<dd>
<div class="block">Название сообщения</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/human/Human.html#toString--">toString()</a></span> - Method in class ru.lanolin.lib.human.<a href="ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util"><span class="typeNameLink">Utils</span></a> - Class in <a href="ru/lanolin/util/package-summary.html">ru.lanolin.util</a></dt>
<dd>
<div class="block">Класс, котором описаны статические методы.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/util/Utils.html#Utils--">Utils()</a></span> - Constructor for class ru.lanolin.util.<a href="ru/lanolin/util/Utils.html" title="class in ru.lanolin.util">Utils</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/enums/Feel.html#valueOf-java.lang.String-">valueOf(String)</a></span> - Static method in enum ru.lanolin.lib.enums.<a href="ru/lanolin/lib/enums/Feel.html" title="enum in ru.lanolin.lib.enums">Feel</a></dt>
<dd>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/enums/Phrases.html#valueOf-java.lang.String-">valueOf(String)</a></span> - Static method in enum ru.lanolin.lib.enums.<a href="ru/lanolin/lib/enums/Phrases.html" title="enum in ru.lanolin.lib.enums">Phrases</a></dt>
<dd>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/enums/Feel.html#values--">values()</a></span> - Static method in enum ru.lanolin.lib.enums.<a href="ru/lanolin/lib/enums/Feel.html" title="enum in ru.lanolin.lib.enums">Feel</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/lib/enums/Phrases.html#values--">values()</a></span> - Static method in enum ru.lanolin.lib.enums.<a href="ru/lanolin/lib/enums/Phrases.html" title="enum in ru.lanolin.lib.enums">Phrases</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</dd>
<dt><span class="memberNameLink"><a href="ru/lanolin/server/thread/OneClientAnswThread.html#vectorHuman">vectorHuman</a></span> - Variable in class ru.lanolin.server.thread.<a href="ru/lanolin/server/thread/OneClientAnswThread.html" title="class in ru.lanolin.server.thread">OneClientAnswThread</a></dt>
<dd>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><code>ArrayList</code></a> отправляемы данные</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:Q">Q</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
